commit:     14b5e79fd50a98b77bf6eb1d37a02ae56607c31e
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 16 09:26:51 2016 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sat Apr 16 09:30:47 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14b5e79f

app-emacs/ghc-mod: bump up to 5.5.0.0, bug #580182

Reported-by: Amadeusz Żołnowski
Bug: https://bugs.gentoo.org/580182

Package-Manager: portage-2.2.28

 app-emacs/ghc-mod/Manifest                         |  1 +
 .../ghc-mod/files/ghc-mod-5.5.0.0-gentoo.patch     | 11 +++
 app-emacs/ghc-mod/files/ghc-mod-5.5.0.0-r1.ebuild  | 97 ++++++++++++++++++++++
 app-emacs/ghc-mod/ghc-mod-5.5.0.0-r1.ebuild        | 97 ++++++++++++++++++++++
 4 files changed, 206 insertions(+)

diff --git a/app-emacs/ghc-mod/Manifest b/app-emacs/ghc-mod/Manifest
index 7029073..22591fe 100644
--- a/app-emacs/ghc-mod/Manifest
+++ b/app-emacs/ghc-mod/Manifest
@@ -1 +1,2 @@
 DIST ghc-mod-5.4.0.0.tar.gz 132546 SHA256 
736652a2f63f9e8625c859c94f193ad8ac9f8fe793bbee672b65576309bfb069 SHA512 
fabcc5ce2fb9e8790043faae2d42b3714fab96da1409d7f1c4736f332c6b74c76724dce253456fd787526d125cfaa1fe48c4725a0da16aabb35d5edf560f2415
 WHIRLPOOL 
8f493cf40724ffb7b56877f9a9cf752e9b23d7babb4fbd29fad0068a1b8f8ef85b40a96c1fa65508ef924cb05d73300762081a762777b982e5c8d41af467d2f0
+DIST ghc-mod-5.5.0.0.tar.gz 150774 SHA256 
d05be8f3541e875cd4ebefb28968cfc095fc323e49328f2e40581f6f5de70d31 SHA512 
006f292394fc24766a2ae2c778635697a63e1b48ef96052af66dc35d1ef30eb600760cd2a517011a7a2b027a0c725ceb3b5e37cfe157741ba97f19068f1264e8
 WHIRLPOOL 
d3aea3a4b3e3c1fd0a1a5c0e094c822d16eb4db6d68a0740062fc0a811aba09efac19eecfd192013ab3da4ca552ea21b497c8793ece67811794834d01e33672d

diff --git a/app-emacs/ghc-mod/files/ghc-mod-5.5.0.0-gentoo.patch 
b/app-emacs/ghc-mod/files/ghc-mod-5.5.0.0-gentoo.patch
new file mode 100644
index 0000000..f852744
--- /dev/null
+++ b/app-emacs/ghc-mod/files/ghc-mod-5.5.0.0-gentoo.patch
@@ -0,0 +1,11 @@
+--- ghc-mod.cabal.orig 2015-04-18 13:14:37.566613645 +0200
++++ ghc-mod.cabal      2015-04-18 13:14:53.420241209 +0200
+@@ -26,8 +26,6 @@
+ Category:               GHC, Development
+ Cabal-Version:          >= 1.14
+ Build-Type:             Custom
+-Data-Files:             elisp/Makefile
+-                        elisp/*.el
+ Data-Files:             LICENSE COPYING.BSD3 COPYING.AGPL3
+ Extra-Source-Files:     ChangeLog
+                         SetupCompat.hs

diff --git a/app-emacs/ghc-mod/files/ghc-mod-5.5.0.0-r1.ebuild 
b/app-emacs/ghc-mod/files/ghc-mod-5.5.0.0-r1.ebuild
new file mode 100644
index 0000000..d28874c
--- /dev/null
+++ b/app-emacs/ghc-mod/files/ghc-mod-5.5.0.0-r1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+# ebuild generated by hackport 0.4.6
+
+CABAL_FEATURES="bin lib profile haddock hoogle hscolour test-suite"
+inherit elisp-common haskell-cabal
+
+DESCRIPTION="Happy Haskell Programming"
+HOMEPAGE="http://www.mew.org/~kazu/proj/ghc-mod/";
+SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="emacs"
+
+RESTRICT=test # doctests break on modules collisions: temporary / temporary-rc
+
+RDEPEND=">=dev-haskell/binary-0.5.1.0:=[profile?] 
<dev-haskell/binary-0.8:=[profile?]
+       >=dev-haskell/cabal-helper-0.6.3.0:=[profile?] 
<dev-haskell/cabal-helper-0.7:=[profile?]
+       dev-haskell/convertible:=[profile?]
+       >=dev-haskell/djinn-ghc-0.0.2.2:=[profile?] 
<dev-haskell/djinn-ghc-0.1:=[profile?]
+       >=dev-haskell/extra-1.4:2=[profile?] <dev-haskell/extra-1.5:2=[profile?]
+       >=dev-haskell/fclabels-2.0:=[profile?] 
<dev-haskell/fclabels-2.1:=[profile?]
+       <dev-haskell/ghc-paths-0.2:=[profile?]
+       <dev-haskell/ghc-syb-utils-0.3:=[profile?]
+       <dev-haskell/haskell-src-exts-1.18:=[profile?]
+       >=dev-haskell/hlint-1.8.61:=[profile?] 
<dev-haskell/hlint-1.10:=[profile?]
+       >=dev-haskell/monad-control-1.0:=[profile?] 
<dev-haskell/monad-control-1.1:=[profile?]
+       >=dev-haskell/monad-journal-0.4:=[profile?] 
<dev-haskell/monad-journal-0.8:=[profile?]
+       >=dev-haskell/mtl-2.0:=[profile?] <dev-haskell/mtl-2.3:=[profile?]
+       <dev-haskell/old-time-1.2:=[profile?]
+       >=dev-haskell/optparse-applicative-0.11.0:=[profile?] 
<dev-haskell/optparse-applicative-0.13.0:=[profile?]
+       >=dev-haskell/pipes-4.1:=[profile?] <dev-haskell/pipes-4.2:=[profile?]
+       >=dev-haskell/safe-0.3.9:=[profile?] <dev-haskell/safe-0.4:=[profile?]
+       <dev-haskell/split-0.3:=[profile?]
+       <dev-haskell/syb-0.7:=[profile?]
+       <dev-haskell/temporary-1.3:=[profile?]
+       <dev-haskell/text-1.3:=[profile?]
+       <dev-haskell/transformers-0.5:=[profile?]
+       <dev-haskell/transformers-base-0.5:=[profile?]
+       >=dev-lang/ghc-7.4.1:=
+"
+DEPEND="${RDEPEND}
+       >=dev-haskell/cabal-1.14
+       test? ( >=dev-haskell/doctest-0.9.3
+               dev-haskell/executable-path
+               >=dev-haskell/hspec-2.0.0 )
+"
+SITEFILE=50${PN}-gentoo.el
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-5.5.0.0-gentoo.patch
+}
+
+src_compile() {
+       haskell-cabal_src_compile
+       if use emacs ; then
+               pushd elisp
+               elisp-compile *.el || die
+               popd
+       fi
+}
+
+src_install() {
+       haskell-cabal_src_install
+       if use emacs ; then
+               pushd "${S}"
+               elisp-install ghc-mod elisp/*.{el,elc}
+               elisp-site-file-install "${FILESDIR}"/${SITEFILE}
+               popd
+       fi
+}
+
+pkg_postinst() {
+       haskell-cabal_pkg_postinst
+       if use emacs ; then
+               elisp-site-regen
+               elog "To configure ghc-mod either add this line to ~/.emacs:"
+               elog "(autoload 'ghc-init \"ghc\" nil t)"
+               elog "and either this line:"
+               elog "(add-hook 'haskell-mode-hook (lambda () (ghc-init)))"
+               elog "or if you wish to use flymake:"
+               elog "(add-hook 'haskell-mode-hook (lambda () (ghc-init) 
(flymake-mode)))"
+       fi
+}
+
+pkg_postrm() {
+       haskell-cabal_pkg_postrm
+       if use emacs ; then
+               elisp-site-regen
+       fi
+}

diff --git a/app-emacs/ghc-mod/ghc-mod-5.5.0.0-r1.ebuild 
b/app-emacs/ghc-mod/ghc-mod-5.5.0.0-r1.ebuild
new file mode 100644
index 0000000..d28874c
--- /dev/null
+++ b/app-emacs/ghc-mod/ghc-mod-5.5.0.0-r1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+# ebuild generated by hackport 0.4.6
+
+CABAL_FEATURES="bin lib profile haddock hoogle hscolour test-suite"
+inherit elisp-common haskell-cabal
+
+DESCRIPTION="Happy Haskell Programming"
+HOMEPAGE="http://www.mew.org/~kazu/proj/ghc-mod/";
+SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="emacs"
+
+RESTRICT=test # doctests break on modules collisions: temporary / temporary-rc
+
+RDEPEND=">=dev-haskell/binary-0.5.1.0:=[profile?] 
<dev-haskell/binary-0.8:=[profile?]
+       >=dev-haskell/cabal-helper-0.6.3.0:=[profile?] 
<dev-haskell/cabal-helper-0.7:=[profile?]
+       dev-haskell/convertible:=[profile?]
+       >=dev-haskell/djinn-ghc-0.0.2.2:=[profile?] 
<dev-haskell/djinn-ghc-0.1:=[profile?]
+       >=dev-haskell/extra-1.4:2=[profile?] <dev-haskell/extra-1.5:2=[profile?]
+       >=dev-haskell/fclabels-2.0:=[profile?] 
<dev-haskell/fclabels-2.1:=[profile?]
+       <dev-haskell/ghc-paths-0.2:=[profile?]
+       <dev-haskell/ghc-syb-utils-0.3:=[profile?]
+       <dev-haskell/haskell-src-exts-1.18:=[profile?]
+       >=dev-haskell/hlint-1.8.61:=[profile?] 
<dev-haskell/hlint-1.10:=[profile?]
+       >=dev-haskell/monad-control-1.0:=[profile?] 
<dev-haskell/monad-control-1.1:=[profile?]
+       >=dev-haskell/monad-journal-0.4:=[profile?] 
<dev-haskell/monad-journal-0.8:=[profile?]
+       >=dev-haskell/mtl-2.0:=[profile?] <dev-haskell/mtl-2.3:=[profile?]
+       <dev-haskell/old-time-1.2:=[profile?]
+       >=dev-haskell/optparse-applicative-0.11.0:=[profile?] 
<dev-haskell/optparse-applicative-0.13.0:=[profile?]
+       >=dev-haskell/pipes-4.1:=[profile?] <dev-haskell/pipes-4.2:=[profile?]
+       >=dev-haskell/safe-0.3.9:=[profile?] <dev-haskell/safe-0.4:=[profile?]
+       <dev-haskell/split-0.3:=[profile?]
+       <dev-haskell/syb-0.7:=[profile?]
+       <dev-haskell/temporary-1.3:=[profile?]
+       <dev-haskell/text-1.3:=[profile?]
+       <dev-haskell/transformers-0.5:=[profile?]
+       <dev-haskell/transformers-base-0.5:=[profile?]
+       >=dev-lang/ghc-7.4.1:=
+"
+DEPEND="${RDEPEND}
+       >=dev-haskell/cabal-1.14
+       test? ( >=dev-haskell/doctest-0.9.3
+               dev-haskell/executable-path
+               >=dev-haskell/hspec-2.0.0 )
+"
+SITEFILE=50${PN}-gentoo.el
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-5.5.0.0-gentoo.patch
+}
+
+src_compile() {
+       haskell-cabal_src_compile
+       if use emacs ; then
+               pushd elisp
+               elisp-compile *.el || die
+               popd
+       fi
+}
+
+src_install() {
+       haskell-cabal_src_install
+       if use emacs ; then
+               pushd "${S}"
+               elisp-install ghc-mod elisp/*.{el,elc}
+               elisp-site-file-install "${FILESDIR}"/${SITEFILE}
+               popd
+       fi
+}
+
+pkg_postinst() {
+       haskell-cabal_pkg_postinst
+       if use emacs ; then
+               elisp-site-regen
+               elog "To configure ghc-mod either add this line to ~/.emacs:"
+               elog "(autoload 'ghc-init \"ghc\" nil t)"
+               elog "and either this line:"
+               elog "(add-hook 'haskell-mode-hook (lambda () (ghc-init)))"
+               elog "or if you wish to use flymake:"
+               elog "(add-hook 'haskell-mode-hook (lambda () (ghc-init) 
(flymake-mode)))"
+       fi
+}
+
+pkg_postrm() {
+       haskell-cabal_pkg_postrm
+       if use emacs ; then
+               elisp-site-regen
+       fi
+}

Reply via email to